z8530_sync_txdma_open
Prev | Chapter 9. Public Functions Provided | Next

## Name

z8530_sync_txdma_open — Open a Z8530 for TX driven DMA

## Synopsis

`int z8530_sync_txdma_open (` | struct net_device * | dev,
| struct z8530_channel * | c`)`;

## Arguments

`dev`

  The network device to attach

`c`

  The Z8530 channel to configure in sync DMA mode.

## Description

Set up a Z85x30 device for synchronous DMA tranmission. One ISA DMA channel must be available for this to work. The receive side is run in PIO mode, but then it has the bigger FIFO.

Prev | Up | Next
z8530_sync_dma_close | Home | z8530_sync_txdma_close